<template>
  <div class="h-full flex flex-col space-y-8 pb-5">
    <div class="flex-auto pt-16 text-center">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
      />
    </div>
    <footer>
      <common-btn
        text="Continue"
        @click="nextStage"
        class="sticky bottom-5"
      />
    </footer>
  </div>
</template>

<script>
import {parentComponentMixin} from "@/utils/mixins";
import WhatToExpect1 from "@/components/quizzes/WhatToExpect/WhatToExpect1";
import WhatToExpect2 from "@/components/quizzes/WhatToExpect/WhatToExpect2";
import WhatToExpect3 from "@/components/quizzes/WhatToExpect/WhatToExpect3";
import WhatToExpect4 from "@/components/quizzes/WhatToExpect/WhatToExpect4";
import WhatToExpect5 from "@/components/quizzes/WhatToExpect/WhatToExpect5";

export default {
  mixins: [parentComponentMixin],
  name: "WhatToExpect",
  data() {
    return {
      stages: {
        1: WhatToExpect1, 2: WhatToExpect2, 3: WhatToExpect3,
        4: WhatToExpect4, 5: WhatToExpect5
      },
      stageNumber: 1,
    }
  }
}
</script>

<style scoped>

</style>
